server:
  port: 18083
  tongweb:
    license:
      path: /data/zlmy/tongweb-licese/license.dat

## DataSource
spring:
  servlet:
    multipart:
      max-file-size: 200MB
      max-request-size: 200MB

  config:
    import: application-db-kingbase-pre.yml

  freemarker:
    cache: false  #关闭模板缓存，方便测试
    settings:
      template_update_delay: 0 #检查模板更新延迟时间，设置为0表示立即检查，如果时间大于0会有缓存不方便进行模板测试
    suffix: .ftl               #指定Freemarker模板文件的后缀名
    template-loader-path: classpath:/ureport
  redis:
    host: 10.25.84.101
    port: 6379
    password: ZLmy@Redis#$%
    database: 1
## Log Path
logging:
  file:
    path: logs/

flowable:
  async-executor-activate: false
  database-schema-update: false
  use-lock-for-database-schema-update: false
  app:
    database

## File path
file:
  path: /data/zlmy/data/file/
dataview:
  file: /data/zlmy/data/dataview-file/
tiny:
  file:
    path: /data/zlmy/data/tinyFile/
    url: /tinyFile/

## Swagger
swagger:
  enable: false
  title: TFW API查看器
  description: Tong Framework Back-End
  version: 1.0
  contact:
    name: Ivan@tongtech
    url: a.b.c.d
    mail: a@b.c.d

minio:
  accessKey: ${MINIO_ACCESSKEY:admin}
  secretKey: ${MINIO_SECRETKEY:ZLmy@Minio}
  bucket: ${MINIO_BUCKET:zlmy}
  endpoint: http://${MINIO_IP:127.0.0.1}:${MINIO_IP:9000}
  access-Key: ${MINIO_ACCESSKEY:admin}
  access-secret: ZLmy@Minio
  path: http://10.25.84.101/minio
  #内部下载地址
  imgInport: http://127.0.0.1:9000

## 网关地址
apisix:
  minioroute:
    url: http://10.25.84.101/minio


xxl:
  job:
    accessToken: default_token
    admin:
      addresses: http://10.25.84.101:8012/xxl-job-admin
    executor:
      address: ''
      appname: test-zlmy-boot
      ip: ''
      logpath: /data/xxl-job/jobhandler
      logretentiondays: 30
      port: 9999




## 报表下载
ureport:
  path: http://127.0.0.1:18083

#第三方监控视频接入地址
three:
  video:
    #url: http://${THREE_VIDEO_IP:app.cfciot.com}:${THREE_VIDEO_PORT:8080}
    url: http://iotx.cofcodata.com:12800
  videoinfo:
    url: http://${THREE_VIDEODEVICE_IP:123.125.253.26}:${THREE_VIDEODEVICE_PORT:6006}
    username: ${THREE_VIDEODEVICE_USERNAME:anhuan}
    password: ${THREE_VIDEODEVICE_PASSWORD:EherW6HNOx}

# 中粮 OA地址
zlsystem:
  url: http://${ZLSYSTEM_IP:10.19.18.73}:${ZLSYSTEM_PORT:80}

## 教育培训扫码考试
train:
  path: http://${TRAIN_IP:10.10.80.93}:${TRAIN_PORT:80}

#图安对接地址
tuan:
  path: https://mywxzy.cofco.com:17703/api
#http://${TUAN_IP:117.14.55.74}:${TUAN_PORT:17703}/api/dform/index/GetMYDHZY



## 全局报警
global:
  alarem:
    url:  http://123.125.253.26:6006
    username: anhuan
    password: EherW6HNOx


iam:
  iamUrl: https://ydbg.cofco.com:8002
  # App的唯一标识
  appId: 4d3c6504-6ad6-45f0-9ef1-c74ce92ad51a
  # App调用OpenApi或SDK时需要的Secret
  appSecret: 1f971f05-4582-452f-af8b-534b46d23820
  appList:
    - type: pc
      clientid: ZWI4YzkyMDIxYjQzNGNmMTk1OWIxZjM3YzUyMmZiNjc
      clientsecret: scQFEahtRY69X9NObAAy8I8ZWC3DyMTQ
      redirecturl: http://10.6.72.36
      publickey: '{"kty":"RSA","kid":"F673F9052DA54DC69C9EF3CA2985CB91","use":"sig","alg":"RS256","n":"h47Rlg5X4_hT6HOobMLpE-28anQnneIby2d3QShD71fb5eAea4ORDeYbMAEXHA587pJm9GdrpZIqhgB7iEyHgvtG3j65k1voJyIirDfdgvj6XDSXLNd-7eRsB3SThkgogdL_q6xXPczMa_O-zXjSkVhxDnglnVvilj7be3CjfWIImQFiaM4vGm9FX9QFA8QNOtUZZhZBro_EN65G_NnRRLXa9jM5VB4Bn9rqduNi_3cWFZGqGQb4zkI-rOLbLdMlgio4RFokq6NtjdSKcq4ROKlPRNffa1WHn6LpYFmrbfjFL527r-nf6kHxcoxYZQaQkIk-KpyFAAlC9DFdgGMp7w","e":"AQAB"}'
    - type: h5
      clientid: ZGU5NDgwNzA2NWI2NGYzZTk0MzdhNmUxNmM4MDJmNzE
      clientsecret: Ub6kIhvdMQm4wrPITDfyT1Oof2x3sDcI
      redirecturl: http://10.6.72.36/h5
      publickey: '{"kty":"RSA","kid":"2C79F650BBCD442498648BA88B54AD59","use":"sig","alg":"RS256","n":"6R-jI7bGF48ok7X_aIZ9Qb7runxd4zf9z0rnnHfybxbcGDMQV_NPpvhW4JIVUSiDFAo9TcphnGk4PdnP_zxT_-bL5r2rD04I3f7dwQn39YTU2ZFC_gzmS7zHS8V8aHACCEmLP1bW9Qxrad29WUsakIx8remqzMucVtIKc11zdDQ6m9pu3jUvS9YFK-MotMUbCjqrAnZN3P_TITLRwLYSn6ZtIPenbdEGAVFoTZpiHBRrFokvW1w0EUee37dTZZ-gMP2EUDVIy4kWc6FwUYRgZd6MBgCgH-6b5bSef_Afs0W4zPP3Xqxfd2I3XBQ_1z_p8rPhY6N-RVvyNdJnJ52qtQ","e":"AQAB"}'


#租赁库管理附件接口
hire:
  depository:
    baseUrl: http://10.19.18.242:8001
    queryFileList: ${hire.depository.baseUrl}/services/cup-file-service/api/file/queryFileList?systemTag=zlkIn&interactionId=cofco-supplier-system
    downloadFile:  ${hire.depository.baseUrl}/services/cup-file-service/api/file/downloadFile?systemTag=zlkIn&interactionId=cofco-supplier-system
    realDownloadUrl: http://10.6.72.36/api/hireDepositoryManageBase/zlFileLoad?systemTag=zlkIn

